/*CSS Reset - 0 the default paddings and margins added by the browser*/
* {
	margin: 0;
	padding: 0;
	/*default font*/
	font-family: "Open Sans", sans-serif;
	/*box-sizing*/
	box-sizing: border-box;
}

nav {
	padding: 0.8rem;/*.8 x 16px(default font size) = 12.8px*/
	margin-bottom: 2rem;/*2 x 16px (default font size) = 32px*/
	border-bottom: 1px solid gray;
}
/*

	, - multiple selector allows us to target elements by using multiple combinators and selectors

*/
nav .nav, nav .nav-logo {

	margin: 0.5rem;/*.5 x 16px = 8px*/
	/*

		li by default are block elements. However, we would want our links in the navbar to be displayed as inline.

		display property allows us to change how elements are displayed

	*/
	display: inline;

}

/*intro section*/
#intro {

	/*
		percentage as measurements are good practice for mobile responsiveness. Since the body (intro's parent) occupies the full width of the screen, the percentage size will adjust according to the screen.
	*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	/*text-align:  allows us to align the text and inline elements for all the children of the element where the text-align was added.*/
	text-align: center;

}

.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {

	color: white;
	/*font-weight allows us to determine the thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;

}

/*info section*/
#succeed-info {

	/*
		padding/margin shorthand

		padding/margin: value; = all sides
		padding/margin: top x-axis(left and right) bottom; = 3 values
		padding/margin: y-axis(top and bottom) x-axis(left and right); = 2 values
		padding/margin: top right bottom left; = 4 values

	*/
	padding: 2rem 10% 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
}


#succeed-info .card {
	display: inline-block;
	/*border: 2px solid black;*/
	/*We set the card at 30% in width to divide the full width of the section into 3. It was not set directly as 33.33% so that it also accounts for the left and right margins.*/
	width: 30%;
	margin-left: .5rem;
	margin-right: .5rem;
	/*vertical align top will allow us to align our inline-block elements vertically from the top.*/
	vertical-align: top;
	/*If the current height of the element does not reach our min-height, the height of the element will be set to the value of our min-height.*/
	min-height: 175px;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

/*pre-footer*/
/*
	Mini-Activity: 

	Style the pre-footer section by first selecting the section using its id.
		-add a padding on all sides at 1rem
		-add a background color with the following hex decimal:  #002540;
		-add a white color for the text in the pre-footer section

	Select all the div that is a child of #pre-footer
		-display the div beside each other but with the ability to set its width or height.
		-add width at 20% of its parent's width.

*/

#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

/*Select all the children of the div inside pre-footer*/
#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

/*footer*/
/*
	Mini-Activity:

	Style the footer element:
		-add a padding on all sides for .7rem

	Style all the spans inside the footer:
		-add margins to the left and right side with .5rem

*/

footer {
	padding: .7rem;
}
footer span {
	margin-left: .5rem;
	margin-right: .5rem;
}
